Bug 37720 - DaemonPortOptions is hardcoded in /etc/sendmail.cf
Summary: DaemonPortOptions is hardcoded in /etc/sendmail.cf
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-26 03:43 UTC by Alaeddin A. Aydiner
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-26 11:39:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alaeddin A. Aydiner 2001-04-26 03:43:53 UTC
The sendmail port options seem to be adjustable by editing
/etc/mail/sendmail.mc. In my case, I needed to get email from
the network and hence commented out the following in sendmail.mc:

DAEMON_OPTIONS(`Port=smtp,Addr=127.0.0.1, Name=MTA')

However, after wasting some time, I found out that the options are
hardcoded in /etc/sendmail.cf as follows:

O DaemonPortOptions=Port=smtp,Addr=127.0.0.1, Name=MTA

This is very confusing and I think it should be controlled
by sendmail.mc.

Thanks.

Comment 1 Need Real Name 2001-04-26 11:39:10 UTC
After editing sendmail.mc, did you run m4 to create a new sendmail.cf file?
Sendmail.mc controls the generation of the sendmail.cf file. Any changes made
there will have no effect until you generate a new .cf file and restart sendmail.
The syntax should be included in the comments at the top of sendmail.mc, and
should be similar to:
 m4 /etc/mail/sendmail.mc > /etc/sendmail.cf


Comment 2 Arenas Belon, Carlo Marcelo 2001-04-28 07:18:45 UTC
this is explained on the RELEASE-NOTES file


Note You need to log in before you can comment on or make changes to this bug.